package com.qimen.api.request;

import java.util.Map;

import com.taobao.api.ApiRuleException;
import com.qimen.api.QimenRequest;
import com.taobao.api.internal.util.TaobaoHashMap;

import com.qimen.api.response.OrderCallbackResponse;

/**
 * TOP API: taobao.qimen.order.callback request
 * 
 * @author top auto create
 * @since 1.0, 2018.07.25
 */
public class OrderCallbackRequest extends QimenRequest<OrderCallbackResponse> {
	
	

	/** 
	* 奇门仓储字段,C123,string(50),,
	 */
	private String deliveryOrderCode;

	/** 
	* 运单号
	 */
	private String expressCode;

	/** 
	* 奇门仓储字段,C123,string(50),,
	 */
	private String orderId;

	/** 
	* 奇门仓储字段,C123,string(50),,
	 */
	private String ownerCode;

	/** 
	* 奇门仓储字段,C123,string(50),,
	 */
	private String warehouseCode;

	public void setDeliveryOrderCode(String deliveryOrderCode) {
		this.deliveryOrderCode = deliveryOrderCode;
	}

	public String getDeliveryOrderCode() {
		return this.deliveryOrderCode;
	}

	public void setExpressCode(String expressCode) {
		this.expressCode = expressCode;
	}

	public String getExpressCode() {
		return this.expressCode;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getOrderId() {
		return this.orderId;
	}

	public void setOwnerCode(String ownerCode) {
		this.ownerCode = ownerCode;
	}

	public String getOwnerCode() {
		return this.ownerCode;
	}

	public void setWarehouseCode(String warehouseCode) {
		this.warehouseCode = warehouseCode;
	}

	public String getWarehouseCode() {
		return this.warehouseCode;
	}

	public String getApiMethodName() {
		return "taobao.qimen.order.callback";
	}

	public Class<OrderCallbackResponse> getResponseClass() {
		return OrderCallbackResponse.class;
	}

	public void check() throws ApiRuleException {
	}
	

}