package com.qimen.api.request;

import java.util.Map;

import com.taobao.api.ApiRuleException;
import com.qimen.api.QimenRequest;
import com.taobao.api.internal.util.TaobaoHashMap;

import com.qimen.api.response.SingleitemQueryResponse;

/**
 * TOP API: taobao.qimen.singleitem.query request
 * 
 * @author top auto create
 * @since 1.0, 2019.07.05
 */
public class SingleitemQueryRequest extends QimenRequest<SingleitemQueryResponse> {
	
	

	/** 
	* 商品编码,S1234,string(50),必填,
	 */
	private String itemCode;

	/** 
	* 仓储系统商品编码,C123,string(50),必填,
	 */
	private String itemId;

	/** 
	* 货主编码,H123,string(50),必填,
	 */
	private String ownerCode;

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getItemCode() {
		return this.itemCode;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getItemId() {
		return this.itemId;
	}

	public void setOwnerCode(String ownerCode) {
		this.ownerCode = ownerCode;
	}

	public String getOwnerCode() {
		return this.ownerCode;
	}

	public String getApiMethodName() {
		return "taobao.qimen.singleitem.query";
	}

	public Class<SingleitemQueryResponse> getResponseClass() {
		return SingleitemQueryResponse.class;
	}

	public void check() throws ApiRuleException {
	}
	

}