package com.qimen.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.expressinfo.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class ExpressinfoQueryResponse extends QimenResponse {

	private static final long serialVersionUID = 4517346851716783579L;

	/** 
	 * 奇门仓储字段
	 */
	@ApiListField("expressInfos")
	@ApiField("express_info")
	private List<ExpressInfo> expressInfos;


	public void setExpressInfos(List<ExpressInfo> expressInfos) {
		this.expressInfos = expressInfos;
	}
	public List<ExpressInfo> getExpressInfos( ) {
		return this.expressInfos;
	}
	
	/**
 * 奇门仓储字段
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class ExpressInfo {

	/**
		 * 奇门仓储字段
		 */
		@ApiField("brandCode")
		private String brandCode;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("brandName")
		private String brandName;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("expressCode")
		private String expressCode;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("expressName")
		private String expressName;
		/**
		 * 奇门仓储字段
		 */
		@ApiField("status")
		private String status;
	

	public String getBrandCode() {
			return this.brandCode;
		}
		public void setBrandCode(String brandCode) {
			this.brandCode = brandCode;
		}
		public String getBrandName() {
			return this.brandName;
		}
		public void setBrandName(String brandName) {
			this.brandName = brandName;
		}
		public String getExpressCode() {
			return this.expressCode;
		}
		public void setExpressCode(String expressCode) {
			this.expressCode = expressCode;
		}
		public String getExpressName() {
			return this.expressName;
		}
		public void setExpressName(String expressName) {
			this.expressName = expressName;
		}
		public String getStatus() {
			return this.status;
		}
		public void setStatus(String status) {
			this.status = status;
		}

}



}
