package com.qimen.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.itemmapping.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class ItemmappingQueryResponse extends QimenResponse {

	private static final long serialVersionUID = 4822267457149881239L;

	/** 
	 * 商品映射关系
	 */
	@ApiListField("itemMappings")
	@ApiField("itemMapping")
	private List<ItemMapping> itemMappings;


	public void setItemMappings(List<ItemMapping> itemMappings) {
		this.itemMappings = itemMappings;
	}
	public List<ItemMapping> getItemMappings( ) {
		return this.itemMappings;
	}
	
	/**
 * 商品映射关系
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class ItemMapping {

	/**
		 * 奇门仓储字段,C123,string(50),
		 */
		@ApiField("itemId")
		private String itemId;
		/**
		 * 奇门仓储字段,C123,string(50),
		 */
		@ApiField("itemSource")
		private String itemSource;
		/**
		 * 奇门仓储字段,C123,string(50),
		 */
		@ApiField("ownerCode")
		private String ownerCode;
		/**
		 * 奇门仓储字段,C123,string(50),
		 */
		@ApiField("shopItemId")
		private String shopItemId;
		/**
		 * 奇门仓储字段,C123,string(50),
		 */
		@ApiField("shopNick")
		private String shopNick;
		/**
		 * 奇门仓储字段,C123,string(50),
		 */
		@ApiField("skuId")
		private String skuId;
	

	public String getItemId() {
			return this.itemId;
		}
		public void setItemId(String itemId) {
			this.itemId = itemId;
		}
		public String getItemSource() {
			return this.itemSource;
		}
		public void setItemSource(String itemSource) {
			this.itemSource = itemSource;
		}
		public String getOwnerCode() {
			return this.ownerCode;
		}
		public void setOwnerCode(String ownerCode) {
			this.ownerCode = ownerCode;
		}
		public String getShopItemId() {
			return this.shopItemId;
		}
		public void setShopItemId(String shopItemId) {
			this.shopItemId = shopItemId;
		}
		public String getShopNick() {
			return this.shopNick;
		}
		public void setShopNick(String shopNick) {
			this.shopNick = shopNick;
		}
		public String getSkuId() {
			return this.skuId;
		}
		public void setSkuId(String skuId) {
			this.skuId = skuId;
		}

}



}
