package com.qimen.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.transferorder.create response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TransferorderCreateResponse extends QimenResponse {

	private static final long serialVersionUID = 3238237711197194575L;

	/** 
	 * 调拨单信息
	 */
	@ApiField("transferExecuteInfo")
	private TransferExecuteInfo transferExecuteInfo;


	public void setTransferExecuteInfo(TransferExecuteInfo transferExecuteInfo) {
		this.transferExecuteInfo = transferExecuteInfo;
	}
	public TransferExecuteInfo getTransferExecuteInfo( ) {
		return this.transferExecuteInfo;
	}
	
	/**
 * 调拨单信息
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class TransferExecuteInfo {

	/**
		 * 预计入库时间,0,string(50),,
		 */
		@ApiField("expectInStoreTime")
		private String expectInStoreTime;
		/**
		 * 预计出库时间,0,string(50),,
		 */
		@ApiField("expectOutStoreTime")
		private String expectOutStoreTime;
		/**
		 * 调拨单号,0,string(50),,
		 */
		@ApiField("transferOrderCode")
		private String transferOrderCode;
	

	public String getExpectInStoreTime() {
			return this.expectInStoreTime;
		}
		public void setExpectInStoreTime(String expectInStoreTime) {
			this.expectInStoreTime = expectInStoreTime;
		}
		public String getExpectOutStoreTime() {
			return this.expectOutStoreTime;
		}
		public void setExpectOutStoreTime(String expectOutStoreTime) {
			this.expectOutStoreTime = expectOutStoreTime;
		}
		public String getTransferOrderCode() {
			return this.transferOrderCode;
		}
		public void setTransferOrderCode(String transferOrderCode) {
			this.transferOrderCode = transferOrderCode;
		}

}



}
