package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.gpu.schema.catsearch response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaGpuSchemaCatsearchResponse extends TaobaoResponse {

	private static final long serialVersionUID = 2157612232999289318L;

	/** 
	 * 返回按类目查询spu的schema
	 */
	@ApiField("cat_search_result")
	private String catSearchResult;

	/** 
	 * 总记录数
	 */
	@ApiField("total")
	private Long total;


	public void setCatSearchResult(String catSearchResult) {
		this.catSearchResult = catSearchResult;
	}
	public String getCatSearchResult( ) {
		return this.catSearchResult;
	}

	public void setTotal(Long total) {
		this.total = total;
	}
	public Long getTotal( ) {
		return this.total;
	}
	


}
