package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.gpu.update.schema.get response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaGpuUpdateSchemaGetResponse extends TaobaoResponse {

	private static final long serialVersionUID = 6832959331635889374L;

	/** 
	 * 参数产品ID对应的产品更新规则
	 */
	@ApiField("update_product_rule")
	private String updateProductRule;


	public void setUpdateProductRule(String updateProductRule) {
		this.updateProductRule = updateProductRule;
	}
	public String getUpdateProductRule( ) {
		return this.updateProductRule;
	}
	


}
