package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.coupon.template.create response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkCouponTemplateCreateResponse extends TaobaoResponse {

	private static final long serialVersionUID = 4227496416447788464L;

	/** 
	 * 结果
	 */
	@ApiField("result")
	private ApiResult result;


	public void setResult(ApiResult result) {
		this.result = result;
	}
	public ApiResult getResult( ) {
		return this.result;
	}
	
	/**
 * 返回
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class CouponTemplateOperateResponse extends TaobaoObject {

	private static final long serialVersionUID = 6859528452969588848L;

	/**
		 * 模板表主键
		 */
		@ApiField("id")
		private Long id;
		/**
		 * ump模板ID
		 */
		@ApiField("source_id")
		private Long sourceId;
	

	public Long getId() {
			return this.id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public Long getSourceId() {
			return this.sourceId;
		}
		public void setSourceId(Long sourceId) {
			this.sourceId = sourceId;
		}

}

	/**
 * 结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ApiResult extends TaobaoObject {

	private static final long serialVersionUID = 1781479164739366975L;

	/**
		 * 错误码
		 */
		@ApiField("err_code")
		private String errCode;
		/**
		 * 错误信息
		 */
		@ApiField("err_msg")
		private String errMsg;
		/**
		 * 返回
		 */
		@ApiField("model")
		private CouponTemplateOperateResponse model;
		/**
		 * 成功标志
		 */
		@ApiField("success")
		private Boolean success;
	

	public String getErrCode() {
			return this.errCode;
		}
		public void setErrCode(String errCode) {
			this.errCode = errCode;
		}
		public String getErrMsg() {
			return this.errMsg;
		}
		public void setErrMsg(String errMsg) {
			this.errMsg = errMsg;
		}
		public CouponTemplateOperateResponse getModel() {
			return this.model;
		}
		public void setModel(CouponTemplateOperateResponse model) {
			this.model = model;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
