package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.itempool.activity.create response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingItempoolActivityCreateResponse extends TaobaoResponse {

	private static final long serialVersionUID = 3276786781887929474L;

	/** 
	 * data
	 */
	@ApiField("data")
	private Long data;

	/** 
	 * errorCode
	 */
	@ApiField("fail_code")
	private String failCode;

	/** 
	 * success
	 */
	@ApiField("is_success")
	private Boolean isSuccess;

	/** 
	 * message
	 */
	@ApiField("message")
	private String message;


	public void setData(Long data) {
		this.data = data;
	}
	public Long getData( ) {
		return this.data;
	}

	public void setFailCode(String failCode) {
		this.failCode = failCode;
	}
	public String getFailCode( ) {
		return this.failCode;
	}

	public void setIsSuccess(Boolean isSuccess) {
		this.isSuccess = isSuccess;
	}
	public Boolean getIsSuccess( ) {
		return this.isSuccess;
	}

	public void setMessage(String message) {
		this.message = message;
	}
	public String getMessage( ) {
		return this.message;
	}
	


}
