package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.open.heartbeat response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingOpenHeartbeatResponse extends TaobaoResponse {

	private static final long serialVersionUID = 4429526696259972484L;

	/** 
	 * 结果信息
	 */
	@ApiField("result")
	private WdkMarketOpenResult result;


	public void setResult(WdkMarketOpenResult result) {
		this.result = result;
	}
	public WdkMarketOpenResult getResult( ) {
		return this.result;
	}
	
	/**
 * 结果信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class WdkMarketOpenResult extends TaobaoObject {

	private static final long serialVersionUID = 4657262864111578432L;

	/**
		 * 错误编码
		 */
		@ApiField("err_code")
		private String errCode;
		/**
		 * 错误描述
		 */
		@ApiField("message")
		private String message;
		/**
		 * true--成功
		 */
		@ApiField("success")
		private Boolean success;
	

	public String getErrCode() {
			return this.errCode;
		}
		public void setErrCode(String errCode) {
			this.errCode = errCode;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
