package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: cainiao.crm.oms.rule.sync response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class CainiaoCrmOmsRuleSyncResponse extends TaobaoResponse {

	private static final long serialVersionUID = 8754676816812242354L;

	/** 
	 * errorCode
	 */
	@ApiField("wl_error_code")
	private String wlErrorCode;

	/** 
	 * errorMsg
	 */
	@ApiField("wl_error_msg")
	private String wlErrorMsg;

	/** 
	 * success
	 */
	@ApiField("wl_success")
	private Boolean wlSuccess;


	public void setWlErrorCode(String wlErrorCode) {
		this.wlErrorCode = wlErrorCode;
	}
	public String getWlErrorCode( ) {
		return this.wlErrorCode;
	}

	public void setWlErrorMsg(String wlErrorMsg) {
		this.wlErrorMsg = wlErrorMsg;
	}
	public String getWlErrorMsg( ) {
		return this.wlErrorMsg;
	}

	public void setWlSuccess(Boolean wlSuccess) {
		this.wlSuccess = wlSuccess;
	}
	public Boolean getWlSuccess( ) {
		return this.wlSuccess;
	}
	


}
