package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: cainiao.endpoint.locker.top.order.notice response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class CainiaoEndpointLockerTopOrderNoticeResponse extends TaobaoResponse {

	private static final long serialVersionUID = 1742479694771826695L;

	/** 
	 * result
	 */
	@ApiField("result")
	private SingleResult result;


	public void setResult(SingleResult result) {
		this.result = result;
	}
	public SingleResult getResult( ) {
		return this.result;
	}
	
	/**
 * result
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class SingleResult extends TaobaoObject {

	private static final long serialVersionUID = 4423115619496757287L;

	/**
		 * 参照返回码定义列表
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误描述
		 */
		@ApiField("error_desc")
		private String errorDesc;
		/**
		 * 是否成功
		 */
		@ApiField("success")
		private Boolean success;
	

	public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getErrorDesc() {
			return this.errorDesc;
		}
		public void setErrorDesc(String errorDesc) {
			this.errorDesc = errorDesc;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
