package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: taobao.fenxiao.trade.prepay.offline.reduce response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class FenxiaoTradePrepayOfflineReduceResponse extends TaobaoResponse {

	private static final long serialVersionUID = 4888822634963927494L;

	/** 
	 * result
	 */
	@ApiField("result")
	private ResultTopDo result;


	public void setResult(ResultTopDo result) {
		this.result = result;
	}
	public ResultTopDo getResult( ) {
		return this.result;
	}
	
	/**
 * result
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class ResultTopDo extends TaobaoObject {

	private static final long serialVersionUID = 2758221654863539813L;

	/**
		 * success
		 */
		@ApiField("success")
		private Boolean success;
	

	public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
