package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: taobao.trades.sold.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TradesSoldQueryResponse extends TaobaoResponse {

	private static final long serialVersionUID = 1298439161239532461L;

	/** 
	 * 订单ID列表。按照订单创建时间倒序，最多返回最近的100笔订单。
	 */
	@ApiListField("tid_list")
	@ApiField("string")
	private List<String> tidList;


	public void setTidList(List<String> tidList) {
		this.tidList = tidList;
	}
	public List<String> getTidList( ) {
		return this.tidList;
	}
	


}
