package com.qimen.api.response;

import com.taobao.api.internal.mapping.ApiField;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.deliveryordersum.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class DeliveryordersumQueryResponse extends QimenResponse {

	private static final long serialVersionUID = 8766845765186822122L;

	/** 
	 * 取消订单数量
	 */
	@ApiField("cancelQty")
	private String cancelQty;

	/** 
	 * 揽收订单数量
	 */
	@ApiField("collectQty")
	private String collectQty;

	/** 
	 * 完成率
	 */
	@ApiField("completionRate")
	private String completionRate;

	/** 
	 * 下载订单数量
	 */
	@ApiField("downloadQty")
	private String downloadQty;

	/** 
	 * 有效订单数量
	 */
	@ApiField("effectQty")
	private String effectQty;

	/** 
	 * 交接订单数量
	 */
	@ApiField("handQty")
	private String handQty;

	/** 
	 * 锁定订单数量
	 */
	@ApiField("lockQty")
	private String lockQty;

	/** 
	 * 打印订单数量
	 */
	@ApiField("printQty")
	private String printQty;

	/** 
	 * 复核订单数量
	 */
	@ApiField("reviewQty")
	private String reviewQty;

	/** 
	 * 签收订单数量
	 */
	@ApiField("signQty")
	private String signQty;

	/** 
	 * 仓库编码
	 */
	@ApiField("warehouseCode")
	private String warehouseCode;

	/** 
	 * 仓库名称
	 */
	@ApiField("warehouseName")
	private String warehouseName;

	/** 
	 * 称重出库数量
	 */
	@ApiField("weightQty")
	private String weightQty;


	public void setCancelQty(String cancelQty) {
		this.cancelQty = cancelQty;
	}
	public String getCancelQty( ) {
		return this.cancelQty;
	}

	public void setCollectQty(String collectQty) {
		this.collectQty = collectQty;
	}
	public String getCollectQty( ) {
		return this.collectQty;
	}

	public void setCompletionRate(String completionRate) {
		this.completionRate = completionRate;
	}
	public String getCompletionRate( ) {
		return this.completionRate;
	}

	public void setDownloadQty(String downloadQty) {
		this.downloadQty = downloadQty;
	}
	public String getDownloadQty( ) {
		return this.downloadQty;
	}

	public void setEffectQty(String effectQty) {
		this.effectQty = effectQty;
	}
	public String getEffectQty( ) {
		return this.effectQty;
	}

	public void setHandQty(String handQty) {
		this.handQty = handQty;
	}
	public String getHandQty( ) {
		return this.handQty;
	}

	public void setLockQty(String lockQty) {
		this.lockQty = lockQty;
	}
	public String getLockQty( ) {
		return this.lockQty;
	}

	public void setPrintQty(String printQty) {
		this.printQty = printQty;
	}
	public String getPrintQty( ) {
		return this.printQty;
	}

	public void setReviewQty(String reviewQty) {
		this.reviewQty = reviewQty;
	}
	public String getReviewQty( ) {
		return this.reviewQty;
	}

	public void setSignQty(String signQty) {
		this.signQty = signQty;
	}
	public String getSignQty( ) {
		return this.signQty;
	}

	public void setWarehouseCode(String warehouseCode) {
		this.warehouseCode = warehouseCode;
	}
	public String getWarehouseCode( ) {
		return this.warehouseCode;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}
	public String getWarehouseName( ) {
		return this.warehouseName;
	}

	public void setWeightQty(String weightQty) {
		this.weightQty = weightQty;
	}
	public String getWeightQty( ) {
		return this.weightQty;
	}
	


}
