package com.qimen.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.order.query response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class OrderQueryResponse extends QimenResponse {

	private static final long serialVersionUID = 6629536294941853873L;

	/** 
	 * 订单列表
	 */
	@ApiField("orderLines")
	private OrderLines orderLines;


	public void setOrderLines(OrderLines orderLines) {
		this.orderLines = orderLines;
	}
	public OrderLines getOrderLines( ) {
		return this.orderLines;
	}
	
	/**
 * 订单详情
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class OrderLine {

	/**
		 * 出库单号, string (50) , 必填
		 */
		@ApiField("deliveryOrderCode")
		private String deliveryOrderCode;
	

	public String getDeliveryOrderCode() {
			return this.deliveryOrderCode;
		}
		public void setDeliveryOrderCode(String deliveryOrderCode) {
			this.deliveryOrderCode = deliveryOrderCode;
		}

}

	/**
 * 订单列表
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class OrderLines {

	/**
		 * 订单详情
		 */
		@ApiField("orderLine")
		private OrderLine orderLine;
	

	public OrderLine getOrderLine() {
			return this.orderLine;
		}
		public void setOrderLine(OrderLine orderLine) {
			this.orderLine = orderLine;
		}

}



}
