package com.qimen.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.qimen.api.QimenResponse;

/**
 * TOP API: taobao.qimen.warehouseinfo.synchronize response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class WarehouseinfoSynchronizeResponse extends QimenResponse {

	private static final long serialVersionUID = 5473518534832376483L;

	/** 
	 * 仓库信息
	 */
	@ApiListField("warehouseInfos")
	@ApiField("warehouse_info")
	private List<WarehouseInfo> warehouseInfos;


	public void setWarehouseInfos(List<WarehouseInfo> warehouseInfos) {
		this.warehouseInfos = warehouseInfos;
	}
	public List<WarehouseInfo> getWarehouseInfos( ) {
		return this.warehouseInfos;
	}
	
	/**
 * 仓库信息
 *
 * @author top auto create
 * @since 1.0, null
 */
 
public static class WarehouseInfo {

	/**
		 * 仓库编码，string（50）
		 */
		@ApiField("warehouseCode")
		private String warehouseCode;
	

	public String getWarehouseCode() {
			return this.warehouseCode;
		}
		public void setWarehouseCode(String warehouseCode) {
			this.warehouseCode = warehouseCode;
		}

}



}
