package com.taobao.api.domain;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;


/**
 * 购物金信息输出
 *
 * @author top auto create
 * @since 1.0, null
 */
public class ExpandCardInfo extends TaobaoObject {

	private static final long serialVersionUID = 6381848358537275895L;

	/**
	 * 买卡订单本金
	 */
	@ApiField("basic_price")
	private String basicPrice;

	/**
	 * 用卡订单使用的本金
	 */
	@ApiField("basic_price_used")
	private String basicPriceUsed;

	/**
	 * 买卡订单权益金
	 */
	@ApiField("expand_price")
	private String expandPrice;

	/**
	 * 用卡订单使用的权益金
	 */
	@ApiField("expand_price_used")
	private String expandPriceUsed;


	public String getBasicPrice() {
		return this.basicPrice;
	}
	public void setBasicPrice(String basicPrice) {
		this.basicPrice = basicPrice;
	}

	public String getBasicPriceUsed() {
		return this.basicPriceUsed;
	}
	public void setBasicPriceUsed(String basicPriceUsed) {
		this.basicPriceUsed = basicPriceUsed;
	}

	public String getExpandPrice() {
		return this.expandPrice;
	}
	public void setExpandPrice(String expandPrice) {
		this.expandPrice = expandPrice;
	}

	public String getExpandPriceUsed() {
		return this.expandPriceUsed;
	}
	public void setExpandPriceUsed(String expandPriceUsed) {
		this.expandPriceUsed = expandPriceUsed;
	}

}
