package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.expire.promotion.create response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingExpirePromotionCreateResponse extends TaobaoResponse {

	private static final long serialVersionUID = 7821489845161921392L;

	/** 
	 * data
	 */
	@ApiListField("datas")
	@ApiField("t")
	private List<T> datas;

	/** 
	 * errorCode
	 */
	@ApiField("fail_code")
	private String failCode;

	/** 
	 * success
	 */
	@ApiField("is_success")
	private Boolean isSuccess;

	/** 
	 * message
	 */
	@ApiField("message")
	private String message;


	public void setDatas(List<T> datas) {
		this.datas = datas;
	}
	public List<T> getDatas( ) {
		return this.datas;
	}

	public void setFailCode(String failCode) {
		this.failCode = failCode;
	}
	public String getFailCode( ) {
		return this.failCode;
	}

	public void setIsSuccess(Boolean isSuccess) {
		this.isSuccess = isSuccess;
	}
	public Boolean getIsSuccess( ) {
		return this.isSuccess;
	}

	public void setMessage(String message) {
		this.message = message;
	}
	public String getMessage( ) {
		return this.message;
	}
	
	/**
 * data
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class T extends TaobaoObject {

	private static final long serialVersionUID = 1531935737241146627L;

	/**
		 * 错误码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误信息
		 */
		@ApiField("error_msg")
		private String errorMsg;
		/**
		 * 商品itemId
		 */
		@ApiField("item_id")
		private Long itemId;
		/**
		 * 商家code
		 */
		@ApiField("merchant_code")
		private String merchantCode;
		/**
		 * 门店id
		 */
		@ApiField("shop_id")
		private String shopId;
		/**
		 * 商品skucode
		 */
		@ApiField("sku_code")
		private String skuCode;
		/**
		 * success
		 */
		@ApiField("success")
		private Boolean success;
	

	public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getErrorMsg() {
			return this.errorMsg;
		}
		public void setErrorMsg(String errorMsg) {
			this.errorMsg = errorMsg;
		}
		public Long getItemId() {
			return this.itemId;
		}
		public void setItemId(Long itemId) {
			this.itemId = itemId;
		}
		public String getMerchantCode() {
			return this.merchantCode;
		}
		public void setMerchantCode(String merchantCode) {
			this.merchantCode = merchantCode;
		}
		public String getShopId() {
			return this.shopId;
		}
		public void setShopId(String shopId) {
			this.shopId = shopId;
		}
		public String getSkuCode() {
			return this.skuCode;
		}
		public void setSkuCode(String skuCode) {
			this.skuCode = skuCode;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
