package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.open.version.apply response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingOpenVersionApplyResponse extends TaobaoResponse {

	private static final long serialVersionUID = 3576628258287222272L;

	/** 
	 * 版本号申请结果
	 */
	@ApiField("result")
	private WdkMarketOpenResult result;


	public void setResult(WdkMarketOpenResult result) {
		this.result = result;
	}
	public WdkMarketOpenResult getResult( ) {
		return this.result;
	}
	
	/**
 * 版本信息
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class SyncVersionBo extends TaobaoObject {

	private static final long serialVersionUID = 3265611861314382534L;

	/**
		 * 版本号
		 */
		@ApiField("version_id")
		private Long versionId;
	

	public Long getVersionId() {
			return this.versionId;
		}
		public void setVersionId(Long versionId) {
			this.versionId = versionId;
		}

}

	/**
 * 版本号申请结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class WdkMarketOpenResult extends TaobaoObject {

	private static final long serialVersionUID = 4326227558632414525L;

	/**
		 * 版本信息
		 */
		@ApiField("data")
		private SyncVersionBo data;
		/**
		 * 错误编码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误描述
		 */
		@ApiField("message")
		private String message;
		/**
		 * 发布结果
		 */
		@ApiField("success")
		private Boolean success;
	

	public SyncVersionBo getData() {
			return this.data;
		}
		public void setData(SyncVersionBo data) {
			this.data = data;
		}
		public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
