package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.open.version.count response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingOpenVersionCountResponse extends TaobaoResponse {

	private static final long serialVersionUID = 5283259958422326361L;

	/** 
	 * 查询结果
	 */
	@ApiField("result")
	private WdkMarketOpenResult result;


	public void setResult(WdkMarketOpenResult result) {
		this.result = result;
	}
	public WdkMarketOpenResult getResult( ) {
		return this.result;
	}
	
	/**
 * 查询结果
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class WdkMarketOpenResult extends TaobaoObject {

	private static final long serialVersionUID = 6588864412949295183L;

	/**
		 * 版本同步数量
		 */
		@ApiField("data")
		private Long data;
		/**
		 * 错误编码
		 */
		@ApiField("error_code")
		private String errorCode;
		/**
		 * 错误描述
		 */
		@ApiField("message")
		private String message;
		/**
		 * 查询结果
		 */
		@ApiField("success")
		private Boolean success;
	

	public Long getData() {
			return this.data;
		}
		public void setData(Long data) {
			this.data = data;
		}
		public String getErrorCode() {
			return this.errorCode;
		}
		public void setErrorCode(String errorCode) {
			this.errorCode = errorCode;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
