package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: alibaba.wdk.marketing.version.generate response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class AlibabaWdkMarketingVersionGenerateResponse extends TaobaoResponse {

	private static final long serialVersionUID = 6577511599814767583L;

	/** 
	 * result
	 */
	@ApiField("result")
	private MarketResult result;


	public void setResult(MarketResult result) {
		this.result = result;
	}
	public MarketResult getResult( ) {
		return this.result;
	}
	
	/**
 * result
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class MarketResult extends TaobaoObject {

	private static final long serialVersionUID = 5112576677936881537L;

	/**
		 * data
		 */
		@ApiField("data")
		private Long data;
		/**
		 * success
		 */
		@ApiField("is_success")
		private Boolean isSuccess;
		/**
		 * message
		 */
		@ApiField("message")
		private String message;
		/**
		 * errorCode
		 */
		@ApiField("result_code")
		private String resultCode;
	

	public Long getData() {
			return this.data;
		}
		public void setData(Long data) {
			this.data = data;
		}
		public Boolean getIsSuccess() {
			return this.isSuccess;
		}
		public void setIsSuccess(Boolean isSuccess) {
			this.isSuccess = isSuccess;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public String getResultCode() {
			return this.resultCode;
		}
		public void setResultCode(String resultCode) {
			this.resultCode = resultCode;
		}

}



}
