package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import java.util.Date;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: taobao.fenxiao.product.import.from.auction response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class FenxiaoProductImportFromAuctionResponse extends TaobaoResponse {

	private static final long serialVersionUID = 7742396214995321317L;

	/** 
	 * 操作时间
	 */
	@ApiField("opt_time")
	private Date optTime;

	/** 
	 * 生成的产品id
	 */
	@ApiField("pid")
	private Long pid;


	public void setOptTime(Date optTime) {
		this.optTime = optTime;
	}
	public Date getOptTime( ) {
		return this.optTime;
	}

	public void setPid(Long pid) {
		this.pid = pid;
	}
	public Long getPid( ) {
		return this.pid;
	}
	


}
