package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: tmall.channel.trade.order.create response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TmallChannelTradeOrderCreateResponse extends TaobaoResponse {

	private static final long serialVersionUID = 3316842428461415512L;

	/** 
	 * 采购单号
	 */
	@ApiListField("main_purchase_order_list")
	@ApiField("json")
	private List<String> mainPurchaseOrderList;


	public void setMainPurchaseOrderList(List<String> mainPurchaseOrderList) {
		this.mainPurchaseOrderList = mainPurchaseOrderList;
	}
	public List<String> getMainPurchaseOrderList( ) {
		return this.mainPurchaseOrderList;
	}
	


}
