package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.TaobaoObject;
import java.util.Date;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: tmall.exchange.consigngoods response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TmallExchangeConsigngoodsResponse extends TaobaoResponse {

	private static final long serialVersionUID = 5616333787281956573L;

	/** 
	 * result
	 */
	@ApiField("result")
	private RefundBaseResponse result;


	public void setResult(RefundBaseResponse result) {
		this.result = result;
	}
	public RefundBaseResponse getResult( ) {
		return this.result;
	}
	
	/**
 * exchange
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class Exchange extends TaobaoObject {

	private static final long serialVersionUID = 5489444117522821465L;

	/**
		 * bizOrderId
		 */
		@ApiField("biz_order_id")
		private String bizOrderId;
		/**
		 * disputeId
		 */
		@ApiField("dispute_id")
		private String disputeId;
		/**
		 * modified
		 */
		@ApiField("modified")
		private Date modified;
		/**
		 * status
		 */
		@ApiField("status")
		private String status;
	

	public String getBizOrderId() {
			return this.bizOrderId;
		}
		public void setBizOrderId(String bizOrderId) {
			this.bizOrderId = bizOrderId;
		}
		public String getDisputeId() {
			return this.disputeId;
		}
		public void setDisputeId(String disputeId) {
			this.disputeId = disputeId;
		}
		public Date getModified() {
			return this.modified;
		}
		public void setModified(Date modified) {
			this.modified = modified;
		}
		public String getStatus() {
			return this.status;
		}
		public void setStatus(String status) {
			this.status = status;
		}

}

	/**
 * result
 *
 * @author top auto create
 * @since 1.0, null
 */
public static class RefundBaseResponse extends TaobaoObject {

	private static final long serialVersionUID = 7225322965845676425L;

	/**
		 * exchange
		 */
		@ApiField("exchange")
		private Exchange exchange;
		/**
		 * message
		 */
		@ApiField("message")
		private String message;
		/**
		 * msgCode
		 */
		@ApiField("msg_code")
		private String msgCode;
		/**
		 * success
		 */
		@ApiField("success")
		private Boolean success;
	

	public Exchange getExchange() {
			return this.exchange;
		}
		public void setExchange(Exchange exchange) {
			this.exchange = exchange;
		}
		public String getMessage() {
			return this.message;
		}
		public void setMessage(String message) {
			this.message = message;
		}
		public String getMsgCode() {
			return this.msgCode;
		}
		public void setMsgCode(String msgCode) {
			this.msgCode = msgCode;
		}
		public Boolean getSuccess() {
			return this.success;
		}
		public void setSuccess(Boolean success) {
			this.success = success;
		}

}



}
