package com.taobao.api.response;

import java.util.List;
import com.taobao.api.internal.mapping.ApiField;
import com.taobao.api.internal.mapping.ApiListField;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: taobao.top.oaid.merge response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TopOaidMergeResponse extends TaobaoResponse {

	private static final long serialVersionUID = 4225932217259667873L;

	/** 
	 * 合单结果。可合单的订单ID列表用逗号分隔的字符串表示。比如，"1111,2222"表示订单1111和订单2222可合并发货。
	 */
	@ApiListField("tid_list")
	@ApiField("string")
	private List<String> tidList;


	public void setTidList(List<String> tidList) {
		this.tidList = tidList;
	}
	public List<String> getTidList( ) {
		return this.tidList;
	}
	


}
