package com.taobao.api.response;

import com.taobao.api.internal.mapping.ApiField;

import com.taobao.api.TaobaoResponse;

/**
 * TOP API: taobao.top.once.token.get response.
 * 
 * @author top auto create
 * @since 1.0, null
 */
public class TopOnceTokenGetResponse extends TaobaoResponse {

	private static final long serialVersionUID = 7737871562612717277L;

	/** 
	 * 响应编码
	 */
	@ApiField("result_code")
	private String resultCode;

	/** 
	 * 失败详情
	 */
	@ApiField("result_msg")
	private String resultMsg;

	/** 
	 * token
	 */
	@ApiField("token")
	private String token;


	public void setResultCode(String resultCode) {
		this.resultCode = resultCode;
	}
	public String getResultCode( ) {
		return this.resultCode;
	}

	public void setResultMsg(String resultMsg) {
		this.resultMsg = resultMsg;
	}
	public String getResultMsg( ) {
		return this.resultMsg;
	}

	public void setToken(String token) {
		this.token = token;
	}
	public String getToken( ) {
		return this.token;
	}
	


}
